EMF::PADDING(3)

NAME
EMF::PADDING - All metafile records must be padded out to a multiple of 4 bytes.

SYNOPSIS

#include <libemf.h>

  Public Member Functions

PADDING (const int size)

  Data Fields

const int size_
Number of bytes of padding.

  Static Public Attributes

static const char padding_ [4] = { 0, 0, 0, 0 }
Pad with '\0's.

Detailed Description

All metafile records must be padded out to a multiple of 4 bytes.

Write out a few bytes of padding if necessary.

Constructor & Destructor Documentation

  EMF::PADDING::PADDING (const int size) [inline]
simple constructor.

Parameters:
    size number of bytes of padding to use.

Author

Generated automatically by Doxygen for libemf from the source code.